<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Data Fields - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
      <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="functions_vars_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="functions_vars_0x6a.html#index_j"><span>j</span></a></li>
      <li><a href="functions_vars_0x6b.html#index_k"><span>k</span></a></li>
      <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="functions_vars_0x71.html#index_q"><span>q</span></a></li>
      <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
      <li class="current"><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="functions_vars_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="functions_vars_0x78.html#index_x"><span>x</span></a></li>
      <li><a href="functions_vars_0x79.html#index_y"><span>y</span></a></li>
      <li><a href="functions_vars_0x7a.html#index_z"><span>z</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
&nbsp;

<h3><a class="anchor" id="index_s">- s -</a></h3><ul>
<li>s08
: <a class="el" href="structtivx__obj__desc__scalar__t.html#a7a9043b8a8ee2efd731495fabb325ce5">tivx_obj_desc_scalar_t</a>
</li>
<li>S16
: <a class="el" href="unionvx__pixel__value__t.html#a8a9683d313647a87457b81b52aaee9f7">vx_pixel_value_t</a>
</li>
<li>s16
: <a class="el" href="structtivx__obj__desc__scalar__t.html#a291f4b4b58bdf659f4dcae5161c6b12e">tivx_obj_desc_scalar_t</a>
</li>
<li>s32
: <a class="el" href="structtivx__obj__desc__scalar__t.html#af658d2b5f3081270cfe9b34a2c59bde4">tivx_obj_desc_scalar_t</a>
</li>
<li>S32
: <a class="el" href="unionvx__pixel__value__t.html#a2e9873b61704a195350f1e0dcb072030">vx_pixel_value_t</a>
</li>
<li>s64
: <a class="el" href="structtivx__obj__desc__scalar__t.html#a75f42532e836aaf9f2e525e8994ae4ca">tivx_obj_desc_scalar_t</a>
</li>
<li>sc
: <a class="el" href="structtivx__meta__format__t.html#a585de3127ed652971c9f7a0b64e79ec3">tivx_meta_format_t</a>
</li>
<li>scalar
: <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#af4332967abf73a5279afb492d5deda52">tivx_obj_desc_shm_entry_t</a>
, <a class="el" href="structtivx__object__t.html#a55a2bf58db1e8c082658a3d89d307936">tivx_object_t</a>
</li>
<li>scale
: <a class="el" href="structtivx__meta__format__t_1_1pyramid.html#a92fd5c1c67657805a04442ef65399a55">tivx_meta_format_t::pyramid</a>
, <a class="el" href="structvx__keypoint__t.html#abb79f4b9968b1f710bde8c48d3e78f5b">vx_keypoint_t</a>
, <a class="el" href="structtivx__obj__desc__pyramid__t.html#a6aa80ede86a631696227b125e2cb32af">tivx_obj_desc_pyramid_t</a>
, <a class="el" href="structtivx__obj__desc__convolution__t.html#ad76bfe5d1bb76125f1b9e46b802d9533">tivx_obj_desc_convolution_t</a>
</li>
<li>scale_x
: <a class="el" href="structvx__imagepatch__addressing__t.html#a9801c1ec00e484788b23a7ae860d843d">vx_imagepatch_addressing_t</a>
</li>
<li>scale_y
: <a class="el" href="structvx__imagepatch__addressing__t.html#a36f91517cfea146f8a9c49b8e4160d58">vx_imagepatch_addressing_t</a>
</li>
<li>scope
: <a class="el" href="structtivx__reference__t.html#ac5f7c7cef208efccb8a400470d6b6611">tivx_reference_t</a>
</li>
<li>scope_obj_desc_id
: <a class="el" href="structtivx__obj__desc__t.html#a3b4114c51dfc1ab12a7194711ee70409">tivx_obj_desc_t</a>
</li>
<li>set
: <a class="el" href="structtivx__delay__t.html#ac46bb3f3bbdff86d8fa946264d745c3b">tivx_delay_t</a>
</li>
<li>shared_ptr
: <a class="el" href="structtivx__shared__mem__ptr__t.html#acd358584426137febe5a29ba465987e1">tivx_shared_mem_ptr_t</a>
</li>
<li>signature
: <a class="el" href="structtivx__kernel__t.html#adc3850b72f095a20b051bda5d67716f3">tivx_kernel_t</a>
</li>
<li>size
: <a class="el" href="structtivx__context__t.html#aec86acd2a3c8dd8c9d3ef91d0da85d56">tivx_context_t</a>
, <a class="el" href="structtivx__meta__format__t.html#aaf9f173a9031c76beccb4d24ab9a07b6">tivx_meta_format_t</a>
, <a class="el" href="structtivx__obj__desc__scalar__t.html#a0480d9fa0cf43b39c5991bc6966584e2">tivx_obj_desc_scalar_t</a>
</li>
<li>sorted_nodes
: <a class="el" href="structtivx__graph__sort__context.html#ac6d7e6765f17bed118fee4db561edc5f">tivx_graph_sort_context</a>
</li>
<li>src_height
: <a class="el" href="structtivx__meta__format__t_1_1__remap.html#a88d9c7876a111c24905efd34a50ed11b">tivx_meta_format_t::_remap</a>
, <a class="el" href="structtivx__obj__desc__remap__t.html#a48484d1f1be9545a1ea78b30c199a128">tivx_obj_desc_remap_t</a>
</li>
<li>src_target_id
: <a class="el" href="structtivx__obj__desc__cmd__t.html#a5bdea19afd18cae6784668d4bc44d935">tivx_obj_desc_cmd_t</a>
</li>
<li>src_width
: <a class="el" href="structtivx__meta__format__t_1_1__remap.html#aa206223b1a20b1d2545c7aa67848e84b">tivx_meta_format_t::_remap</a>
, <a class="el" href="structtivx__obj__desc__remap__t.html#ad095535e68586f0ef1729030367d4391">tivx_obj_desc_remap_t</a>
</li>
<li>src_x
: <a class="el" href="structtivx__remap__point__t.html#af5586365a9f6e22eb670e1cd21e90a07">tivx_remap_point_t</a>
</li>
<li>src_y
: <a class="el" href="structtivx__remap__point__t.html#aedfe83efb21e4d0d637a46a9a0557232">tivx_remap_point_t</a>
</li>
<li>stack
: <a class="el" href="structtivx__graph__sort__context.html#ad3e63b335bc7677df96033aa70671b3c">tivx_graph_sort_context</a>
</li>
<li>stack_max_elems
: <a class="el" href="structtivx__graph__sort__context.html#a077f90b4e2f01b8353edf79665668007">tivx_graph_sort_context</a>
</li>
<li>stack_ptr
: <a class="el" href="structtivx__task.html#ad2ba16f382b570fa09f86b35b34a1748">tivx_task</a>
, <a class="el" href="structtivx__task__create__params__t.html#ad87c180197353f9dec4b669e44107973">tivx_task_create_params_t</a>
</li>
<li>stack_size
: <a class="el" href="structtivx__task.html#a00ff4a2148185a3ad91dab3c7adb13ec">tivx_task</a>
, <a class="el" href="structtivx__task__create__params__t.html#a16e1be05aecd68d7cbdd094e88691bb6">tivx_task_create_params_t</a>
</li>
<li>stack_top
: <a class="el" href="structtivx__graph__sort__context.html#a907a59f05725bef44ff64886c7da75bc">tivx_graph_sort_context</a>
</li>
<li>start_x
: <a class="el" href="structvx__rectangle__t.html#ab7cb39d467e8e8e0efe08431e35f8397">vx_rectangle_t</a>
</li>
<li>start_y
: <a class="el" href="structvx__rectangle__t.html#ae2871975c8b902c837435a7f193faaa3">vx_rectangle_t</a>
</li>
<li>state
: <a class="el" href="structtivx__graph__t.html#a689a9c5b613f5c3000ab731986e057ca">tivx_graph_t</a>
</li>
<li>states
: <a class="el" href="structtivx__signature__t.html#afd4cdb8c9db7bb5d7f7ff404dc4f9b34">tivx_signature_t</a>
</li>
<li>status
: <a class="el" href="structtivx__error__t.html#a03171aca76dff425378ee9a93f699874">tivx_error_t</a>
</li>
<li>step_x
: <a class="el" href="structvx__imagepatch__addressing__t.html#a11879146df734d5d26b0e7fb69dfc800">vx_imagepatch_addressing_t</a>
</li>
<li>step_y
: <a class="el" href="structvx__imagepatch__addressing__t.html#a0aea8b0d6d3b18d8b46cb21cfe606238">vx_imagepatch_addressing_t</a>
</li>
<li>strength
: <a class="el" href="structvx__keypoint__t.html#a961bb266a1715e8aa87e2f8bc2b60f82">vx_keypoint_t</a>
</li>
<li>stride_x
: <a class="el" href="structvx__imagepatch__addressing__t.html#aa2f0225f135d52d6402a46b197fa5b21">vx_imagepatch_addressing_t</a>
</li>
<li>stride_y
: <a class="el" href="structvx__imagepatch__addressing__t.html#ac2386b77b9262fd6e9219842375ff7d2">vx_imagepatch_addressing_t</a>
</li>
<li>subimages
: <a class="el" href="structtivx__image__t.html#a23c4156a202fd4a563019a69f280f9b0">tivx_image_t</a>
</li>
<li>sum
: <a class="el" href="structvx__perf__t.html#a7f18945629adba34a23bf66a959560e8">vx_perf_t</a>
</li>
</ul>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
